Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002150TestLinkUsers and Rightspublic2009-02-26 09:402009-03-17 15:40
Reportergayatrim 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 4 
Fixed in Version1.8 RC 5 
Summary0002150: user not found in the list of users for 'Assign to' inspite of having permission on the project.
DescriptionCreated a user with the default permissions as 'No Rights'.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Fileszip file icon role.class.zip [^] (3,176 bytes) 2009-02-26 15:27
? file icon tl_roles_issue_test.odt [^] (342,540 bytes) 2009-02-27 15:36

- Relationships

-  Notes
(0005629)
gayatrim (reporter)
2009-02-26 09:51
edited on: 2009-02-26 09:54

sorry for the incomplete Description,

Created a user (user1)with default permissions ( global role)as <no rights>.
Then assigned the role of a 'leader' to the user in a project (project1).i.e the global role of the user is <no rights' and his role on project1 is 'leader'.

Now in project1, I want to assign a testcase for execution to User1, but I do not find user1 in the list of users.
I can see a user in the list of users that can be assigned test execution only if his global role is atleast 'Guest'.

But if I make him a guest he will be able to see all projects which I do not want.
Also if all users are made guests globally, then the list of users displayed in a project for test execution is very large(all the users of the organization) , I would want to see only those users who are related to this project.

(0005630)
fman (administrator)
2009-02-26 15:28

We have found a bug few dasy ago please use attached file, retest and give us feedback
(0005650)
gayatrim (reporter)
2009-02-26 19:10
edited on: 2009-02-26 19:12

i have tested with the new role.class.php.Issue not fixed.

I had 2 users User1, User2.
User1's global role was 'Guest' and User2's global role was 'No Rights'.
Both the users were assigned the role 'Leader' on a project 'Project1'.

Behavior with the new role.class.php
---------------------------------
When I try to assign a test case for execution , in the list of users I 'do not' see both User1 and User2.

Behavior with old role.class.php
---------------------------------
When I try to assign a test case for execution , in the list of users I see User1 but not User2.

Expected Behavior
-------------------
I should see all the users who have test execution permissions on this project.(i.e both User1 and User2).

(0005655)
fman (administrator)
2009-02-27 01:20

Will check
(0005666)
fman (administrator)
2009-02-27 15:35

Please see attached OpenOffice document with tests I've done on HEAD CVS code.
Let us know .
(0005680)
schlundus (reporter)
2009-02-28 02:19

@gayatrim:
please see comment 0005306 for Bug
0002065: Test Project Level permissions display issue

Maybe this fixes your problem`?
(0005836)
fman (administrator)
2009-03-11 16:41

need feedback to close.
(0005837)
gayatrim (reporter)
2009-03-11 16:55

Retested on Testlink1.8RC5 and found the issue to be resolved.You can close the issue.

Thanks.
Gayatri.

- Issue History
Date Modified Username Field Change
2009-02-26 09:40 gayatrim New Issue
2009-02-26 09:51 gayatrim Note Added: 0005629
2009-02-26 09:54 gayatrim Note Edited: 0005629
2009-02-26 15:27 fman File Added: role.class.zip
2009-02-26 15:28 fman Note Added: 0005630
2009-02-26 15:28 fman Status new => feedback
2009-02-26 19:10 gayatrim Note Added: 0005650
2009-02-26 19:12 gayatrim Note Edited: 0005650
2009-02-27 01:19 fman Status feedback => assigned
2009-02-27 01:19 fman Assigned To => fman
2009-02-27 01:20 fman Note Added: 0005655
2009-02-27 15:35 fman Note Added: 0005666
2009-02-27 15:36 fman File Added: tl_roles_issue_test.odt
2009-02-28 02:19 schlundus Note Added: 0005680
2009-03-11 16:41 fman Note Added: 0005836
2009-03-11 16:41 fman Status assigned => feedback
2009-03-11 16:55 gayatrim Note Added: 0005837
2009-03-11 23:45 fman Status feedback => resolved
2009-03-11 23:45 fman Fixed in Version => 1.8 RC 5
2009-03-11 23:45 fman Resolution open => fixed
2009-03-17 15:40 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker